




library(rgdal)
setwd("C:/test")

# obtain shapefiles in current directory
files <- list.files(pattern = "shp")

# get polygons from first file
data.first <- readOGR(files[1], gsub(".shp","",files[1]))
polygons <- slot(data.first, "polygons")

# add polygons from remaining files
for (i in 2:length(files)) {
   data.temp <- readOGR(files[i], gsub(".shp","",files[i]))
   polygons <- c(slot(data.temp, "polygons"),polygons)
}

# rename IDs of Polygons
for (i in 1:length(polygons)) {
   slot(polygons[[i]], "ID") <- paste(i)
}

# ain't that spatial
spatialPolygons <- SpatialPolygons(polygons)
spdf <- SpatialPolygonsDataFrame(spatialPolygons, data.frame(fakeData=1:length(polygons)))

# output combined results
plot(spatialPolygons)
writeOGR(spdf, dsn="C:/test/combined.shp", layer="combined", driver="ESRI Shapefile")























